digikam (4:9.0.0-0ubuntu1) resolute; urgency=medium

  * New upstream release. (LP: #2146943)
  * Refreshed patchset.

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 31 Mar 2026 08:39:40 -0700

digikam (4:8.8.0-2ubuntu4) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:34:24 +0000

digikam (4:8.8.0-2ubuntu3) resolute; urgency=medium

  * Add amd64v3 to build architectures.

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Jan 2026 17:06:03 +0000

digikam (4:8.8.0-2ubuntu2) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Jan 2026 16:52:31 +0000

digikam (4:8.8.0-2ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add apparmor profile to fix userns:
      + Add debian/digikam-apparmor.
      + debian/control: Depend on apparmor, build depend on dh-apparmor and
        debhelper-compat (=13).
      + debian/rules:copy profile to tmp dir and invoke dh_apparmor.
      + debian/digikam.install: Install profile.

 -- Rik Mills <rikmills@kde.org>  Thu, 25 Dec 2025 17:33:37 +0000

digikam (4:8.8.0-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [4c42de9] Remove libpostproc-dev build dependency (Closes: #1115012)

 -- Steve M. Robbins <smr@debian.org>  Sat, 13 Dec 2025 20:06:00 -0600

digikam (4:8.8.0-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add apparmor profile to fix userns:
      + Add debian/digikam-apparmor.
      + debian/control: Depend on apparmor, build depend on dh-apparmor and
        debhelper-compat (=13).
      + debian/rules:copy profile to tmp dir and invoke dh_apparmor.
      + debian/digikam.install: Install profile.

 -- Rik Mills <rikmills@kde.org>  Fri, 24 Oct 2025 17:01:23 +0100

digikam (4:8.8.0-1) unstable; urgency=medium

  [ Steve M. Robbins ]
  * New upstream version
  * debputy lint --auto-fix (routine-update)
  * [978b396] Refresh patches

 -- Steve M. Robbins <smr@debian.org>  Thu, 23 Oct 2025 10:34:36 -0500

digikam (4:8.7.0-1ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Sep 2025 06:28:54 +0100

digikam (4:8.7.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add apparmor profile to fix userns:
      + Add debian/digikam-apparmor.
      + debian/control: Depend on apparmor, build depend on dh-apparmor and
        debhelper-compat (=13).
      + debian/rules:copy profile to tmp dir and invoke dh_apparmor.
      + debian/digikam.install: Install profile.

 -- Rik Mills <rikmills@kde.org>  Sun, 17 Aug 2025 10:11:04 +0100

digikam (4:8.7.0-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [8d71b77] New upstream version 8.7.0

 -- Steve M. Robbins <smr@debian.org>  Sat, 16 Aug 2025 12:09:57 -0500

digikam (4:8.7.0-0ubuntu1) questing; urgency=medium

  * New upstream release (8.7.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Jul 2025 09:19:10 +0100

digikam (4:8.6.0-1ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 May 2025 06:06:10 +0200

digikam (4:8.6.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add apparmor profile to fix userns:
      + Add debian/digikam-apparmor.
      + debian/control: Depend on apparmor, build depend on dh-apparmor and
        debhelper-compat (=13).
      + debian/rules:copy profile to tmp dir and invoke dh_apparmor.
      + debian/digikam.install: Install profile.

 -- Rik Mills <rikmills@kde.org>  Mon, 12 May 2025 07:52:00 +0100

digikam (4:8.6.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * No tab in license text (routine-update)
  * [bd66d05] Rebase patches

 -- Steve M. Robbins <smr@debian.org>  Sun, 16 Mar 2025 23:29:13 -0500

digikam (4:8.5.0-4ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:12:34 -0500

digikam (4:8.5.0-4ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add apparmor profile to fix userns:
      + Add debian/digikam-apparmor.
      + debian/control: Depend on apparmor, build depend on dh-apparmor and
        debhelper-compat (=13).
      + debian/rules:copy profile to tmp dir and invoke dh_apparmor.
      + debian/digikam.install: Install profile.

 -- Rik Mills <rikmills@kde.org>  Mon, 17 Feb 2025 12:15:33 +0000

digikam (4:8.5.0-4) unstable; urgency=medium

  * Release to unstable, now that opencv 4.10 is available.

 -- Steve M. Robbins <smr@debian.org>  Sat, 15 Feb 2025 18:33:17 -0600

digikam (4:8.5.0-3) experimental; urgency=medium

  * [e09457e] Update opencv dependency to 4.10 (fixes face detection).

 -- Steve M. Robbins <smr@debian.org>  Tue, 07 Jan 2025 22:33:00 -0600

digikam (4:8.5.0-2ubuntu3) plucky; urgency=medium

  * Rebuild against latest jpeg-xl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 09 Feb 2025 17:21:44 -0500

digikam (4:8.5.0-2ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Feb 2025 03:38:58 -0600

digikam (4:8.5.0-2ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add apparmor profile to fix userns:
      + Add debian/digikam-apparmor.
      + debian/control: Depend on apparmor, build depend on dh-apparmor and
        debhelper-compat (=13).
      + debian/rules:copy profile to tmp dir and invoke dh_apparmor.
      + debian/digikam.install: Install profile.

 -- Rik Mills <rikmills@kde.org>  Sun, 02 Feb 2025 12:31:00 +0000

digikam (4:8.5.0-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [a07b81c] Update standards-version; no changes
  * [5d2862d] Update patch forwarded dispositions.
  * [60e4a52] Declare digikam-data as Multi-Arch: foreign
  * [3d0b630] Suggest libimage-exiftool-perl.  Closes: #1055003.
  * [7fc56b2] Add version to imagemagick-6-common build-conflict because
    the imagemagick-7-common package now provides imagemagick-6-common
    to allow for smooth updates.  Closes: #1092312.

 -- Steve M. Robbins <smr@debian.org>  Tue, 07 Jan 2025 22:21:36 -0600

digikam (4:8.5.0-1ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:18:49 -0600

digikam (4:8.5.0-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add apparmor profile to fix userns:
      + Add debian/digikam-apparmor.
      + debian/control: Depend on apparmor, build depend on dh-apparmor and
        debhelper-compat (=13).
      + debian/rules:copy profile to tmp dir and invoke dh_apparmor.
      + debian/digikam.install: Install profile.

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:24:52 +0000

digikam (4:8.5.0-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [df40dfc] Fix watch file to ensure the source package is selected.
  * [9fd25c5] New upstream version 8.5.0
  * [c3d97d8] Updates to dependencies and configuration.
  * [4ba829e] Updates to dependencies and configuration.

 -- Steve M. Robbins <smr@debian.org>  Sat, 16 Nov 2024 17:49:15 -0600

digikam (4:8.4.0-4ubuntu2) plucky; urgency=medium

  * No change rebuild against libexiv2-28

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Nov 2024 13:04:31 +0000

digikam (4:8.4.0-4ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add apparmor profile to fix userns:
      + Add debian/digikam-apparmor.
      + debian/control: Depend on apparmor, build depend on dh-apparmor and
        debhelper-compat (=13).
      + debian/rules:copy profile to tmp dir and invoke dh_apparmor.
      + debian/digikam.install: Install profile.
  * Merged to fix FTBFS against ImageMagic 7.

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 12:32:54 +0000

digikam (4:8.4.0-4) unstable; urgency=medium

  [ Steve Robbins ]
  * [9241918] Fix build with ImageMagick-7.  Closes: #1086354.

 -- Steve M. Robbins <smr@debian.org>  Thu, 31 Oct 2024 01:08:57 -0500

digikam (4:8.4.0-3ubuntu4) plucky; urgency=medium

  * No-change rebuild against libexiv2-28.

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 11:41:30 +0000

digikam (4:8.4.0-3ubuntu3) plucky; urgency=medium

  * No-change rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 17:51:12 +0100

digikam (4:8.4.0-3ubuntu2) oracular; urgency=medium

  * Update path for webengineprocess for qt6 in apparmor profile. (LP: #2046844)

 -- Scarlett Moore <sgmoore@debian.org>  Tue, 17 Sep 2024 12:34:55 -0700

digikam (4:8.4.0-3ubuntu1) oracular; urgency=medium

  * Merge with Debian: Remaining changes:
    - Add apparmor profile to fix userns:
      + Add debian/digikam-apparmor.
      + debian/control: Depend on apparmor, build depend on dh-apparmor and
        debhelper-compat (=13).
      + debian/rules:copy profile to tmp dir and invoke dh_apparmor.
      + debian/digikam.install: Install profile.
  * Merged to fix FTBFS against latest ffmpeg.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Aug 2024 10:00:07 +0100

digikam (4:8.4.0-3) unstable; urgency=medium

  [ Steve Robbins ]
  * [fd795f2] Qt webengine is now mandatory, so reduce the build architectures
    to those supported by webengine: amd64 arm64 armhf i386

 -- Steve M. Robbins <smr@debian.org>  Sat, 17 Aug 2024 10:53:04 -0500

digikam (4:8.4.0-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [5181521] Package qt6-webengine-dev is only available for architectures amd64 arm64 armhf i386.

 -- Steve M. Robbins <smr@debian.org>  Thu, 15 Aug 2024 22:11:39 -0500

digikam (4:8.4.0-1) experimental; urgency=medium

  [ Steve Robbins ]
  * [408bb7d] New upstream version 8.4.0
  * [17a3619] Rebase patches
  * [a71254f] Updates to build with Qt6 & KDE Frameworks 6.
    Remove obsolete configuration option ENABLE_QWEBENGINE.

 -- Steve M. Robbins <smr@debian.org>  Sun, 14 Jul 2024 17:36:36 -0500

digikam (4:8.3.0-2ubuntu4) oracular; urgency=medium

  * Rebuild against new libavcodec61.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 17:34:35 +0200

digikam (4:8.3.0-2ubuntu3) oracular; urgency=medium

  * Properly address the apparmor profile issue by adding multiple
    lines for the different architectures we want to support until 
    @multiarch is supported. This closes (LP: #2064492)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 11 Jul 2024 04:22:02 -0700

digikam (4:8.3.0-2ubuntu2) oracular; urgency=medium

  * Rebuild against new libx265-209.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Jun 2024 10:44:14 +0200

digikam (4:8.3.0-2ubuntu1) oracular; urgency=medium

  * Merge with Debian: Remaining changes:
    - Add apparmor profile to fix userns:
      + Add debian/digikam-apparmor.
      + debian/control: Depend on apparmor, build depend on dh-apparmor and
        debhelper-compat (=13).
      + debian/rules:copy profile to tmp dir and invoke dh_apparmor, plus
        fix dh_install.
      + debian/digikam.install: Install profile.

 -- Rik Mills <rikmills@kde.org>  Mon, 06 May 2024 11:03:21 +0100

digikam (4:8.3.0-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [f118450] Revise patch 0002.

 -- Steve M. Robbins <smr@debian.org>  Sat, 30 Mar 2024 00:33:58 -0500

digikam (4:8.3.0-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [969818c] fix watch file
  * [f2c886e] New upstream version 8.3.0
  * [eb50a9d] rebase patches
  * [e935400] Update build-dep pkg-config => pkgconf
  * [0673c58] fix override
  * [4309f18] Add patch for desktop file.
  * [ecdcb13] fix override

 -- Steve M. Robbins <smr@debian.org>  Tue, 19 Mar 2024 23:07:53 -0500

digikam (4:8.2.0-0ubuntu6) noble; urgency=high

  * No change rebuild against libopencv-core406t64, libopencv-dnn406t64,
    libopencv-imgcodecs406t64, libopencv-imgproc406t64, libopencv-
    ml406t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:38:22 +0200

digikam (4:8.2.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:48:39 +0000

digikam (4:8.2.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:14:30 +0000

digikam (4:8.2.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:30:59 +0000

digikam (4:8.2.0-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:19:09 +0000

digikam (4:8.2.0-0ubuntu1) noble; urgency=medium

  * Add apparmor profile to fix userns. Ref: LP:2046844
  * New upstream release ( 8.2.0 )
  * Refresh patches.

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 08 Feb 2024 00:36:42 -0700

digikam (4:8.1.0-3fakesync1) mantic-proposed; urgency=medium

  * Fake sync due to mismatching orig tarball.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 19 Aug 2023 20:15:48 +0200

digikam (4:8.1.0-3) unstable; urgency=medium

  [ Steve Robbins ]
  * [93e61c0] Fix GPUMemCopy's use of SSE.

 -- Steve M. Robbins <smr@debian.org>  Thu, 17 Aug 2023 21:50:01 -0500

digikam (4:8.1.0-2) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * [81bbd80] Stop using qtwebengine5-dev on mipsel
  * [6a31f7a] Drop the unused libkf5mediawiki-dev build dependency
  * [d1785cc] Update lintian overrides
  * [fb6e052] Drop the no-op dh_clean override
  * [8bc3eab] Switch dh addon and buildsystem from kde to kf5
  * [0f7d0df] Drop the old and unused ${digikam:Conflicts} substvar
  * [3f81830] Remove inactive Uploaders

 -- Pino Toscano <pino@debian.org>  Sat, 22 Jul 2023 07:27:14 +0200

digikam (4:8.1.0-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [7319a55] New upstream version 8.1.0
  * [972063e] Rebase patches
  * [6b86831] update override for libraw
  * [edff063] Enable media player.  Closes: #1004769.

 -- Steve M. Robbins <smr@debian.org>  Fri, 14 Jul 2023 10:01:54 -0500

digikam (4:8.0.0-3) unstable; urgency=medium

  [ Steve Robbins ]
  * [c6f1329] Fix build without mediaplayer.

 -- Steve M. Robbins <smr@debian.org>  Thu, 06 Jul 2023 23:24:32 -0500

digikam (4:8.0.0-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [a8c865a] Add libksanecore-dev dep
  * [e861f33] Disable mediaplayer for upload to unstable.
  * New upstream version.  Closes: #1036738.
    Builds with GCC-13.  Closes: #1037621.
    User able to disable downloading face detection data. Closes: #1028507.

 -- Steve M. Robbins <smr@debian.org>  Thu, 06 Jul 2023 21:20:25 -0500

digikam (4:8.0.0-1) experimental; urgency=medium

  * New upstream version (bug #1036738).
    - Video is enabled again, but it is extremely buggy;
      will often crash digikam.  This is why the upload is to experimental.
    - Because this is only in experimental, bugs addressed are not closed.
  * Now allows user to disable downloading face detection data (bug #1028507).
  * [762413e] Enable media player (bug #1004769).
  * [dddd181] Remove icons for test program "avplayer"
  * [29f967b] Update dependencies.  Disable testing in cmake to avoid
    downloading test data during build.

 -- Steve M. Robbins <smr@debian.org>  Sat, 01 Jul 2023 15:34:14 -0500

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog digikam-private-libs`.
